updatePanelAgentChatSummary(params: UpdatePanelAgentChatSummaryParams)

Requires:
@tuya-miniapp/cloud-api≥1.0.6

Description

Update role chat summary.

Parameters

ParameterTypeRequiredDescription
YesRequest body

Return Value

Type: Promise<boolean>
UpdatePanelAgentChatSummaryResult (See type definitions and minituya return parameters for field meanings)

Valid Values

UpdatePanelAgentChatSummaryParams.bindRoleType
ValueDescriptionSince
0--
1--
2--

Examples

Request example

import { updatePanelAgentChatSummary } from '@tuya-miniapp/cloud-api';

const params = {
  devId: 'your_device_id',
  bindRoleType: 0,
  roleId: 'role_12345',
  summaryItems: ['The user asked about the weather', 'The agent provided an accurate weather forecast', 'The user was satisfied with the service'],
};

updatePanelAgentChatSummary(params)
  .then(result => {
    console.log('Update result:', result);
  })
  .catch(error => {
    console.error('Failed to update chat summary:', error);
  });

Response example

true